<template>
	<router-link v-if="loggedIn" tag="header" :to="{name: 'vault'}" title="Return to Vault">
		TMW <span>Vault</span>
	</router-link>
	<router-link v-else tag="header" :to="{name: 'intro'}" title="Go to landing page">
		TMW <span>Vault</span>
	</router-link>
</template>

<style scoped>
header {
	cursor: pointer;
	display: flex;
	background: var(--prime-4);
	justify-content: left;
	align-items: center;
	border-bottom: 6px double;
	padding: 0 0 0 0.4em;
	height: 6vw;

	font-family: "Verdana";
	font-size: 3vmax;
	font-weight: 300;
	color: var(--prime-1);


	& span {
		margin-left: 2vw;
		letter-spacing: 0.3ex;
		text-transform: uppercase;
		font-weight: 700;
		font-size: 85%;
		color: var(--prime-1);
		margin-top: -5px;

		&:before {
			content: "[";
			font-weight: 900;
			justify-content: center;
		}

		&:after {
			content: "]";
			font-weight: 900;
			justify-content: center;
		}
	}
}
</style>

<script lang="ts">
import { Component, Vue } from "vue-property-decorator"

@Component({
	computed: {
		loggedIn () {
			return this.$store.getters.isLoggedIn
		},
	},
})
export default class Header extends Vue {}
</script>
